The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a database and tools to fix them.

computer vulnerability alert 22616

PuTTY: code execution via détournement de DLL

Synthesis of the vulnerability

An attacker can make Putty run arbitrary machine code from a DLL located in the PuTTY folder.
Vulnerable systems: PuTTY, WinSCP, X2GoClient.
Severity of this threat: 2/4.
Consequences of an attack: administrator access/rights, privileged access/rights, user access/rights.
Pirate's origin: user shell.
Creation date: 02/05/2017.
Références of this weakness: VIGILANCE-VUL-22616.

Description of the vulnerability

The vulnerabilities in DLL management described in the bulletins VIGILANCE-VUL-19558 and VIGILANCE-VUL-21958 have not been fully fixed.

A local attacker can therefore make Putty run arbitrary machine code from a DLL located in the PuTTY folder.
Full Vigil@nce bulletin... (Free trial)

Computer vulnerabilities tracking service

Vigil@nce provides networks vulnerabilities patches. Each administrator can customize the list of products for which he wants to receive vulnerability alerts. The Vigil@nce security watch publishes vulnerability bulletins about threats impacting the information system. The Vigil@nce vulnerability database contains several thousand vulnerabilities.